aboutsummaryrefslogtreecommitdiff
path: root/env/.local/bin/system/start-scripts
diff options
context:
space:
mode:
authoriceyrazor <iceyrazor@mailfence.com>2026-06-10 00:48:19 -0500
committericeyrazor <iceyrazor@mailfence.com>2026-06-10 00:48:19 -0500
commit2097b0ebfdd07ae7a8295c26703d8d88ee7a5f8f (patch)
tree97edcae29f2817f045e0fda462609679935a6fb1 /env/.local/bin/system/start-scripts
parent09156e6cea71093079af580acdd6d4a8594e14b9 (diff)
Squashed commit of the following:
made all scripts mostly posix moved from gajim to dino
Diffstat (limited to 'env/.local/bin/system/start-scripts')
-rwxr-xr-xenv/.local/bin/system/start-scripts/autostart.sh10
-rwxr-xr-xenv/.local/bin/system/start-scripts/newsboat-fetch.sh4
2 files changed, 7 insertions, 7 deletions
diff --git a/env/.local/bin/system/start-scripts/autostart.sh b/env/.local/bin/system/start-scripts/autostart.sh
index db9d31f..b17876a 100755
--- a/env/.local/bin/system/start-scripts/autostart.sh
+++ b/env/.local/bin/system/start-scripts/autostart.sh
@@ -1,5 +1,5 @@
#!/bin/sh
-cd "$(dirname "$0")"
+cd "$(dirname "$0")" || exit
sleep 0.1
xset s 0
@@ -9,7 +9,7 @@ if [ "$WAYLAND_DISPLAY" ]; then
PID=$(pidof swaybg)
swaybg -o HDMI-A-1 -i "/home/iceyrazor/stuff/media/wallpapers/neotheta2.png" -m fill -o DP-1 -i "/home/iceyrazor/stuff/media/wallpapers/neotheta2.png" -m fill & disown
sleep 0.4s
- kill $PID
+ kill "$PID"
fi
xrdb -merge /home/iceyrazor/.Xresources &
@@ -47,7 +47,7 @@ if [ -z "$(pgrep wezterm)" ]; then
wezterm -e ~/.local/bin/system/task.sh &
fi
-if [ "$(cat /etc/hostname)" == "Kasino" ]; then
+if [ "$(cat /etc/hostname)" = "Kasino" ]; then
if [ -z "$(pgrep vesktop)" ]; then
vesktop %U & disown
fi
@@ -64,8 +64,8 @@ if [ "$(cat /etc/hostname)" == "Kasino" ]; then
QT_QPA_PLATFORMTHEME="" mumble & disown
fi
- if [ -z "$(pgrep gajim)" ]; then
- gajim & disown
+ if [ -z "$(pgrep dino)" ]; then
+ dino & disown
fi
if [ -z "$(pgrep mpd)" ]; then
diff --git a/env/.local/bin/system/start-scripts/newsboat-fetch.sh b/env/.local/bin/system/start-scripts/newsboat-fetch.sh
index 06b08d9..5eefe9b 100755
--- a/env/.local/bin/system/start-scripts/newsboat-fetch.sh
+++ b/env/.local/bin/system/start-scripts/newsboat-fetch.sh
@@ -4,9 +4,9 @@ newsboat_loop(){
#newsboat -x print-unread | xargs -0 notify-send "newsboat feed"
unreads=$(newsboat -x print-unread)
- unreadnum=$(printf "$unreads" | sed 's/ .*//g')
+ unreadnum=$(printf -- "%s" "$unreads" | sed 's/ .*//g')
- if (( $unreadnum > 0 )); then
+ if [ "$unreadnum" -gt 0 ]; then
notify-send "newsboat feed" "$unreads"
fi
notify-send "Vitamins!" "take them"